
function haggaiLinks(name)
{
	document.getElementById(name).style.display = "inline";
	
	if (name != 'about')
	{
		document.getElementById('about').style.display = "none";
	}
	if (name != 'land')
	{
		document.getElementById('land').style.display = "none";
	}
	if (name != 'design')
	{
		document.getElementById('design').style.display = "none";
	}
	if (name != 'donate')
	{
		document.getElementById('donate').style.display = "none";
	}
}

function limitText(limitField, limitCount, limitNum) {
	if (limitField.value.length > limitNum) {
		limitField.value = limitField.value.substring(0, limitNum);
	} else {
		limitCount.value = limitNum - limitField.value.length;
	}
}

function showLeader(name)
{
	
	document.getElementById(name).style.display = "inline";
	
	if (name != 'gakhigbe')
	{
		document.getElementById('gakhigbe').style.display = "none";
	}
	if (name != 'fakhigbe')
	{
		document.getElementById('fakhigbe').style.display = "none";
	}
	if (name != 'oaina')
	{
		document.getElementById('oaina').style.display = "none";
	}
	if (name != 'eaina')
	{
		document.getElementById('eaina').style.display = "none";
	}
	if (name != 'ebassey')
	{
		document.getElementById('ebassey').style.display = "none";
	}
	if (name != 'kbassey')
	{
		document.getElementById('kbassey').style.display = "none";
	}
	if (name != 'sdurojaiye')
	{
		document.getElementById('sdurojaiye').style.display = "none";
	}
	if (name != 'jsiyanbade')
	{
		document.getElementById('jsiyanbade').style.display = "none";
	}
}

function eventToggle(menuitem)
{
	var disp = "inline";
	document.getElementById(menuitem).style.display = "inline";
	//fireMyPopup(menuitem, disp);
	document.getElementById(menuitem+"-menuitem").style.color = "#000";
	
	if (menuitem != 'gc09Flyer')
	{
		document.getElementById('gc09Flyer').style.display = "none";
		document.getElementById("gc09Flyer-menuitem").style.color = "";
		
	}
	if (menuitem != 'gc09Motive')
	{
		document.getElementById('gc09Motive').style.display = "none";
		document.getElementById("gc09Motive-menuitem").style.color = "";
	}
	if (menuitem != 'gc09Details')
	{
		document.getElementById('gc09Details').style.display = "none";
		document.getElementById("gc09Details-menuitem").style.color = "";
	}
	if (menuitem != 'gc09Bios')
	{
		document.getElementById('gc09Bios').style.display = "none";
		document.getElementById("gc09Bios-menuitem").style.color = "";
	}
	if (menuitem != 'gc09Directions')
	{
		document.getElementById('gc09Directions').style.display = "none";
		document.getElementById("gc09Directions-menuitem").style.color = "";
	}
}

function showHide(shID) {
    if (document.getElementById(shID)) {
        if (document.getElementById(shID+'-show').style.display != 'none') {
            document.getElementById(shID+'-show').style.display = 'none';
            document.getElementById(shID).style.display = 'block';
        }
        else {

            document.getElementById(shID+'-show').style.display = 'inline';
            document.getElementById(shID).style.display = 'none';
        }
    }
}


/**************************************
popup inside browser
**************************************/
// Browser safe opacity handling function

function setOpacity( value, id ) {
	document.getElementById(id).style.opacity = value / 10;	
	document.getElementById(id).style.filter = 'alpha(opacity=' + value * 10 + ')';	
}

function fadeInMyPopup(id) {
	for( var i = 0 ; i <= 100 ; i++ ){
		setTimeout( 'setOpacity(' + (i / 10) + ',' + id+ ')' , 20 * i );
	}
}

function fadeOutMyPopup(id) {
	for( var i = 0 ; i <= 100 ; i++ ) {
		setTimeout( 'setOpacity(' + (10 - i / 10) + ')' , 8 * i );
	}

	setTimeout('closeMyPopup(id)', 800 );
}

function closeMyPopup(id) {
	document.getElementById(id).style.display = "none"
}

function fireMyPopup(id, displayType) {
	setOpacity( 0, id );
	document.getElementById(id).style.display = displayType;

	fadeInMyPopup(id);
}


/********************************************************************************
This is a script for dealing with calendar elements. May be obsolete and need to be deprecated.
*********************************************************************************/

function showNew(val) {

	if (val==1 || val == 5 || val==10 || val==12 || val==17 || val==18|| val == 19 || val==20 || val==21 || val==22 || val==23 || val==24 || val==25 || val==26)
	{
		var n = document.getElementById('new'+val).style;
		n.display = n.display==''? 'block' : '';

		document.getElementById('new'+0).style.display = 'none';
	}

	else if (val == 0)
	{
		var n = document.getElementById('new'+val).style;
		n.display = n.display==''? 'block' : '';

		document.getElementById('new'+5).style.display = 'none';
		document.getElementById('new'+10).style.display = 'none';
		document.getElementById('new'+12).style.display = 'none';
		document.getElementById('new'+1).style.display = 'none';

		for (i=17; i!=val && i<=26; i++)
			document.getElementById('new'+i).style.display = 'none';
	}
}
<!-- end calendar script -->